Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.upgrade.common
Class ObjectNameReset

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.LibrarySessionAction
              oracle.ifs.admin.upgrade.common.LibrarySessionUpgradeAction
                  oracle.ifs.admin.upgrade.common.ObjectNameReset

All Implemented Interfaces:
  Action, IfsParameters

    public abstract class ObjectNameReset

extends LibrarySessionUpgradeAction

An abstract upgrade action used to verify that objects have legal names.

This action updates the a specified set of objects (specification is done via a Search currently) by setting the name (if non-null) to itself, and if this fails it modifies the name by adding a numeric suffix.

Known subclasses are EnforceAclNameUniqueness and EnforceGroupNameUniqueness

(Unpublished)

Field Summary
`protected int[]` | `m_ErrorCodes`
`protected java.lang.String` | `m_ManglePrefix`
`protected java.lang.String` | `m_MangleSuffix`
`protected int` | `m_MangleTries`
`static java.lang.String` | `PARAMETERNAME_MANGLE_ATTEMPTS`
`static java.lang.String` | `PARAMETERNAME_MANGLE_PREFIX`
`static java.lang.String` | `PARAMETERNAME_MANGLE_SUFFIX`
`static int` | `SELECTOR_MAXITEM_COUNT`

Fields inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`RESTART_SERVICE`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`ObjectNameReset()`

Method Summary
`protected boolean` | `containsExpectedErrorCode(IfsException e)`
`protected void` | `fixName(LibrarySession session, LibraryObject obj)`
`protected int` | `getIntegerParameter(java.lang.String name, int defaultValue)`
`protected java.lang.String` | `getStringParameter(java.lang.String name, java.lang.String defaultValue)`
`protected void` | `logFailedToFixName(LibraryObject obj, java.lang.String name)`
`protected void` | `logFixedName(LibraryObject obj, java.lang.String name, java.lang.String newName)`
`protected void` | `resetObjectNames(LibrarySession session, java.lang.String className, ClassObject[] omitClasses)`
`protected void` | `resolveMangleParameters()`
`protected boolean` | `setName(LibraryObject obj, java.lang.String name, int attempts)`
`protected void` | `setNameMangleExceptionList(int[] errorCodes)`
`protected boolean` | `shouldOmit(LibrarySession session, LibraryObject obj, ClassObject[] omitClasses)`

Methods inherited from class oracle.ifs.admin.upgrade.common.LibrarySessionUpgradeAction
`failed, getTimestamp, log, log, printStackTrace, stop`

Methods inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`execute, perform, setDomain, setForSchemaUpgrade, setPassword, setRestartService, setSchemaPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETERNAME_MANGLE_PREFIX

    public static final java.lang.String PARAMETERNAME_MANGLE_PREFIX

See Also:
  Constant Field Values

### PARAMETERNAME_MANGLE_SUFFIX

    public static final java.lang.String PARAMETERNAME_MANGLE_SUFFIX

See Also:
  Constant Field Values

### PARAMETERNAME_MANGLE_ATTEMPTS

    public static final java.lang.String PARAMETERNAME_MANGLE_ATTEMPTS

See Also:
  Constant Field Values

### SELECTOR_MAXITEM_COUNT

    public static final int SELECTOR_MAXITEM_COUNT

See Also:
  Constant Field Values

### m_ManglePrefix

    protected java.lang.String m_ManglePrefix

### m_MangleSuffix

    protected java.lang.String m_MangleSuffix

### m_MangleTries

    protected int m_MangleTries

### m_ErrorCodes

    protected int[] m_ErrorCodes

Constructor Detail

### ObjectNameReset

    public ObjectNameReset()

Method Detail

### resolveMangleParameters

    protected void resolveMangleParameters()

### setNameMangleExceptionList

    protected void setNameMangleExceptionList(int[] errorCodes)

### resetObjectNames

    protected void resetObjectNames(LibrarySession session,
                                    java.lang.String className,
                                    ClassObject[] omitClasses)
                             throws IfsException

  Throws:
    `IfsException`

### shouldOmit

    protected boolean shouldOmit(LibrarySession session,
                                 LibraryObject obj,
                                 ClassObject[] omitClasses)

### fixName

    protected void fixName(LibrarySession session,
                           LibraryObject obj)

### setName

    protected boolean setName(LibraryObject obj,
                              java.lang.String name,
                              int attempts)
                       throws IfsException

  Throws:
    `IfsException`

### containsExpectedErrorCode

    protected boolean containsExpectedErrorCode(IfsException e)

### logFixedName

    protected void logFixedName(LibraryObject obj,
                                java.lang.String name,
                                java.lang.String newName)

### logFailedToFixName

    protected void logFailedToFixName(LibraryObject obj,
                                      java.lang.String name)

### getStringParameter

    protected java.lang.String getStringParameter(java.lang.String name,
                                                  java.lang.String defaultValue)

### getIntegerParameter

    protected int getIntegerParameter(java.lang.String name,
                                      int defaultValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD